Subject: Re: Compact Flash on 8349mITX

From: Anton Vorontsov <[email-masked]>
Date: Fri, 10 Oct 2008 16:03:49 +0400

On Fri, Oct 10, 2008 at 10:14:17AM +0800, Wang Jian wrote:
> How 8349mITX's compact flash is wired?

FYI, the schematics are openly available.

http://www.freescale.com/files/32bit/hardware_tools/schematics/MPC8349EMITXESCH.pdf?WT_TYPE=Schematics&WT_VENDOR=FREESCALE&WT_FILE_FORMAT=pdf&WT_ASSET=Downloads

> If it is wired using 8 bit data bus line,
> without another patch, data transfer can't be done.

It is wired that way:

LBD[7:0]    D[0:7]
LBD[15:8]   D[8:15]
LBA[30..28] A[0..2]

I.e. 16 bits for data.

> Looking at logs Sam Sparks provided (without irq):
>
> ata1.00: failed to IDENTIFY (I/O error, err_mask=0x4)
>
> it seems data transfer failed.

Well, w/o IRQs everything is OK. I think it's just a bogus message
after the interrupt issues.

Thanks,

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2